{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_CREATION; 
            externalType = date; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_MODIFICATION; 
            externalType = date; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = TGRP_CODE; 
            externalType = VARCHAR2; 
            name = tgrpCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }
    ); 
    attributesUsedForLocking = (cStructure, tgrpCode); 
    className = org.cocktail.kiwi.server.metier.EORepartTypeGroupe; 
    classProperties = (cStructure, dCreation, dModification, structure, tgrpCode); 
    externalName = GRHUM.repart_type_groupe; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (cStructure, dCreation, dModification, structure, tgrpCode); 
        _javaClientClassName = org.cocktail.kiwi.client.metier.EORepartTypeGroupe; 
    }; 
    name = RepartTypeGroupe; 
    primaryKeyAttributes = (cStructure, tgrpCode); 
    relationships = (
        {
            destination = Structure; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = structure; 
        }
    ); 
}
